package com.belkast.soap;

import com.beust.jcommander.Parameter;

import java.util.ArrayList;
import java.util.List;

public class jCommanderArgs {
    @Parameter
    private List<String> parameters = new ArrayList<>();

    @Parameter(names = "--props" , description = "Location of the properties file", validateWith = jCommanderVerifyFile.class)
    public String props = "props.conf";

    @Parameter(names = "--key", description = "Encryption key (must be 16 characters)", required = true, password = true, validateWith = jCommanderVerifyKey.class)
    public String key;

    @Parameter(names = "--encrypt", description = "Value to encrypt using the encryption key")
    public String encrypt;

    @Parameter(names = "--debug", description = "Display debug information on the screen (no value required)")
    public boolean debug = false;
}
